/*
    <Ejecuta comandos para dar formato a los volumenes>
    Copyright (C) <2011>  <José Antonio Sánchez Reynaga>

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
*/


#ifndef THREADFORMAT_H
#define THREADFORMAT_H

#include <qthread.h>
#include <QtCore>
#include <QtGui>


class ThreadFormat : public QThread
{

public:
    explicit ThreadFormat(QObject* parent = 0);
    ~ThreadFormat();
    bool isOk();
    
    void setFilesystem(QString fs);
    void setDirDev(QString dir);
    /**
     * Se debe indicar la etiqueta del dispositivo
     */
    void setLabel(QString lb);
protected:
    virtual void run();
    
private:
    bool ok;
    QString label;
    QString filesystem;
    QString dirDev;
   
};

#endif // THREADFORMAT_H
